version: "2.1"

services:
    cms-xmr:
        image: xibosignage/xibo-xmr:release-0.7
        ports:
            - "9505:9505"
        restart: always
        env_file: config.env
        mem_limit: 256m
    cms-web:
        image: xibosignage/xibo-cms:release-1.8.7
        volumes:
            - "./shared/cms/custom:/var/www/cms/custom"
            - "./shared/backup:/var/www/backup"
            - "./shared/cms/web/theme/custom:/var/www/cms/web/theme/custom"
            - "./shared/cms/library:/var/www/cms/library"
            - "./shared/cms/web/userscripts:/var/www/cms/web/userscripts"
        restart: always
        links:
            - cms-xmr:50001
        environment:
            - XMR_HOST=cms-xmr
        ports:
            - "80:80"
        env_file: config.env
        mem_limit: 1g

